Loading...
Searching...
No Matches
not_null.h File Reference
`#include "platform.h"`
`#include "error_handler.h"`
`#include "exception.h"`
`#include "memory.h"`
`#include "type_traits.h"`

Go to the source code of this file.

## Classes

class | etl::not_null_exception
| The base class for not_null exceptions. More...
class | etl::not_null_contains_null
| The exception when the not_null contains a null. More...
class | etl::not_null< T * >
class | etl::not_null< etl::unique_ptr< T, TDeleter > >

## Namespaces

namespace | etl